package com.rjconsultores.ventaboletos.web.utilerias.menu.item.pasajerofrecuente;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuGeneracionTarjeta extends DefaultItemMenuSistema {

	public ItemMenuGeneracionTarjeta() {
		super("indexController.mniGeneracionTarjetaSA.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.SENDAAMIGO.GENERACIONTARJETASENDAAMIGO";
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/senda_amigo/busquedaGeneracionTarjetaSA.zul",
                Labels.getLabel("busquedaGeneracionTarjetaSAController.window.title"), getArgs(), desktop);
		
	}

}
